Loading...
Searching...
No Matches
Magick::oilPaintImage Class Reference

## Public Member Functions

| oilPaintImage (const double radius_=3)
void | operator() (Image &image_) const

## Private Attributes

double | _radius

## Detailed Description

Definition at line 787 of file STL.h.

## Constructor & Destructor Documentation

## oilPaintImage()

Magick::oilPaintImage::oilPaintImage | ( | const double | radius_ = 3 | ) |

Definition at line 731 of file STL.cpp.

: _radius( radius_ )
{
}

## Member Function Documentation

## operator()()

void Magick::oilPaintImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 735 of file STL.cpp.

{
image_.oilPaint( _radius );
}

## Field Documentation

## _radius

double Magick::oilPaintImage::_radius

private

Definition at line 795 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp